/**
 * 單例基類(要先new在使用)
 * @example
 * export default class Test extends BaseSingleton<Test>() { ...... }
 * new Test();
 * Test.Instance.Init();
 */
// tslint:disable-next-line:typedef
export default function BaseSingleton<T>() {
	class BaseSingleton {
		public constructor() {
			if ((<any>this)._instance == null) {
				BaseSingleton._instance = <any>this;
			}
		}
		public static _instance: BaseSingleton = null;
		public static get Instance(): T {
			return (<any>this)._instance;
		}

		/** 銷毀 */
		public Disp(): void {
			(<any>this)._instance = null;
		}
	}
	return BaseSingleton;
}