import { INetRequest } from "../../script/Engine/CatanEngine/NetManagerV2/Core/INetRequest";
import { INetResponse } from "../../script/Engine/CatanEngine/NetManagerV2/Core/INetResponse";
import { ClientData } from "../../shared/protocols/define/interface";
import { RpcSlot1SpinRequest, RpcSlot1SpinResponse } from "../../shared/protocols/Slot1Request";
import { RandomEx } from "../../Utils/Number/RandomEx";

export default function* (clientData: ClientData, req: INetRequest<RpcSlot1SpinRequest>): IterableIterator<any> {
	const data: RpcSlot1SpinRequest = req.Data

	const temps: string[] = [
		`{"slot":[11,4,8,9,5,2,13,10,7,9,10,6,6,12,4],"line":[[[5,11,12],161,2000]],"get":[[1,2000]]}`,

		`{"slot":[9,6,2,5,4,14,10,9,13,10,4,5,5,2,2]}`,

		`{"slot":[4,3,3,3,9,10,14,14,9,4,7,8,8,5,10],"free":[[1,2,3],3],"scatter":[[[1,2,3],3000]],"get":[[1,2000]]}`,
	];
	const Data: any = JSON.parse(temps[RandomEx.GetInt(0, temps.length)]);
	Data["pay"] = [[1, -data.pay]];
	Data["money"] = 9991304;

	const response: INetResponse<RpcSlot1SpinResponse> = {
		Status: 0,
		Method: req.Method,
		Data,
		IsValid: true
	};
	return response;
}