// src/electron/preload.ts
import { contextBridge, ipcRenderer } from 'electron';
// import "../Utils/catan"; // 导入定义全局 cc 对象的文件

contextBridge.exposeInMainWorld('electron', {
	startWebSocket: (port: number) => ipcRenderer.send('start-websocket', port),
	stopWebSocket: () => ipcRenderer.send('stop-websocket'),
	openDevTools: () => ipcRenderer.send('open-devtools'),
	onWebSocketStatus: (callback: (message: string) => void) => ipcRenderer.on('websocket-status', (event, message) => callback(message)),
	onLogMessage: (callback: (message: string, color: string) => void) => ipcRenderer.on('log-message', (event, [message, color]) => callback(message, color)),
	env: {
		PORT: process.env.PORT || '8080'  // 提供環境變數
	}
});
